Change an agent schedule

Makes the change agentSchedule.update.preview showed (the same body with its confirmation_token, the same Idempotency-Key) and re-arms its wake-up. 412 when the schedule changed since the preview (compared under its lock); an MCP call is refused 409 agents_stopped while the company has stopped its agents. Requires the agent-runs:action OAuth scope with manage_agent_policies.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The agent's key, from agent.list

string
required

The schedule's id, from agent.show

Body Params

Confirmed values used to change an agent schedule, including the confirmation token returned by agentSchedule.update.preview.

The previewed change to a schedule with its confirmation token.

string
enum

daily, weekdays, a weekday, m1/m2/m3 (first, second or third working day) or vat10 (10 days before the VAT deadline)

string
^([01]\d|2[0-3]):[0-5]\d$

HH:MM, in the company's time zone

boolean

On or off (a new one is on)

string
required
length ≤ 4096

The confirmation_token agentSchedule.update.preview returned for this body, sent with the same Idempotency-Key within 300 seconds

Headers
string
required
length ≤ 191

Required unique key whose request hash and terminal response are stored durably for 24 hours.

Responses

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*